http://code.google.com/p/python-megavideo-parser/

﻿Python Megavideo Parser 1.0.0

Methods Documentation

void	  Megavideo( string reference)
	__init_ or constructor method, initialize video object  by passing video reference as direct link (ex. http://www.megavideo.com/?v=XXXXXXXX) or only video code (ex. XXXXXXXX).

bool	  is_Valid( void)
	check if video is valid, return False and print error type or True on success.

string getTitle( void)
	return video title.

string getRunTime( void)
	return video length in time format MM:SS .

string getServer( void)
	return megavideo server number in with is stored video file, not useful as public method.

dict   getAllInfo( void)
	return a dictionary that contain all video info (Server, Title, Runtime).

string getLink( void)
	return link to video path, useful to download video.

string getFLV( void)
	return direct link to flash video with .flv extension, useful to direct stream video.

